## fcitx5-chinese-addons 5.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
project(fcitx5-chinese-addons VERSION 5.1.8)

set(REQUIRED_FCITX_VERSION 5.1.12)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard)
find_package(Fcitx5ModuleLuaAddonLoader)
find_package(Pthread REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(fmt REQUIRED)

if (TARGET fmt::fmt-header-only)
  set(FMT_TARGET fmt::fmt-header-only)
else()
  set(FMT_TARGET fmt::fmt)
endif ()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

#######################################################################
# Options
#######################################################################
option(ENABLE_TEST "Build Test" On)
option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")
option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
option(ENABLE_GUI "Enable Configure Gui" On)
option(ENABLE_BROWSER "Enable built-in browser." On)
option(USE_WEBKIT "Use WebKit as browser backend." Off)
option(ENABLE_CLOUDPINYIN "Build cloud pinyin addon" On)
option(USE_QT6 "Build with Qt6" On)
option(ENABLE_DATA "Build data" On)

if (ENABLE_OPENCC)
    find_package(OpenCC 1.0.1 REQUIRED)
endif()

if (ENABLE_GUI)
    if (USE_QT6)
        set(QT_MAJOR_VERSION 6)
        if (USE_WEBKIT)
            message(FATAL_ERROR "Qt 6 does not have webkit available.")
        endif()
    else()
        set(QT_MAJOR_VERSION 5)
    endif()
    find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Concurrent)
    find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
    if (ENABLE_BROWSER)
        if (USE_WEBKIT)
            find_package(Qt${QT_MAJOR_VERSION}WebKitWidgets REQUIRED)
        else()
            find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets REQUIRED)
        endif()
    endif()
endif()

# We do not need json if OpenCC is not needed, but just try to find it anyway to save some ifelse logic
find_package(Boost 1.61 REQUIRED COMPONENTS iostreams OPTIONAL_COMPONENTS json)
find_package(LibIMEPinyin 1.1.7 REQUIRED)
find_package(LibIMETable 1.1.4 REQUIRED)

if (ENABLE_CLOUDPINYIN)
    pkg_check_modules(Curl REQUIRED IMPORTED_TARGET "libcurl")
endif()

if (TARGET Boost::json)
    set(HAS_BOOST_JSON TRUE)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-chinese-addons\")
add_definitions(-DQT_NO_KEYWORDS)
fcitx5_add_i18n_definition()

add_subdirectory(modules)
add_subdirectory(im)
add_subdirectory(po)
add_subdirectory(tools)

if (ENABLE_GUI)
    add_subdirectory(gui)
endif()

add_subdirectory(icon)

if (ENABLE_TEST)
    find_package(Fcitx5ModuleTestFrontend REQUIRED)
    find_package(Fcitx5ModuleTestIM REQUIRED)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(testpunctuation testpunctuation.cpp)
target_link_libraries(testpunctuation Fcitx5::Core Fcitx5::Module::Punctuation)
add_dependencies(testpunctuation punctuation punctuation.conf.in-fmt)
add_test(NAME testpunctuation COMMAND testpunctuation)

if (ENABLE_CLOUDPINYIN)
add_executable(testcloudpinyin testcloudpinyin.cpp)
target_link_libraries(testcloudpinyin Fcitx5::Core Fcitx5::Module::CloudPinyin)
add_dependencies(testcloudpinyin cloudpinyin)
endif()

add_executable(testpinyinhelper testpinyinhelper.cpp)
target_link_libraries(testpinyinhelper Fcitx5::Core Fcitx5::Module::PinyinHelper)
add_dependencies(testpinyinhelper pinyin pinyin.conf.in-fmt pinyinhelper pinyinhelper.conf.in-fmt)
add_test(NAME testpinyinhelper COMMAND testpinyinhelper)

add_executable(testfullwidth testfullwidth.cpp)
target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testfullwidth fullwidth fullwidth.conf.in-fmt)
add_test(NAME testfullwidth COMMAND testfullwidth)

add_subdirectory(inputmethod)
add_executable(testchttrans testchttrans.cpp)
target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testchttrans chttrans chttrans.conf.in-fmt copy-addon copy-testim)
add_test(NAME testchttrans COMMAND testchttrans)

add_subdirectory(addon)
add_executable(testpinyin testpinyin.cpp)
target_link_libraries(testpinyin Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testpinyin pinyin pinyinhelper copy-addon copy-im)
add_test(NAME testpinyin COMMAND testpinyin)
add_executable(testtable testtable.cpp)
target_link_libraries(testtable Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testtable table copy-addon copy-im)
add_test(NAME testtable COMMAND testtable)

add_executable(testcustomphrase testcustomphrase.cpp ../im/pinyin/customphrase.cpp)
target_compile_definitions(testcustomphrase PRIVATE "-DFCITX_CUSTOM_PHRASE_TEST")
target_link_libraries(testcustomphrase Fcitx5::Utils LibIME::Core ${FMT_TARGET})
add_test(NAME testcustomphrase COMMAND testcustomphrase)

add_executable(testsymboldictionary testsymboldictionary.cpp ../im/pinyin/symboldictionary.cpp)
target_link_libraries(testsymboldictionary Fcitx5::Utils LibIME::Core)
add_test(NAME testsymboldictionary COMMAND testsymboldictionary)

=== gui/customphraseeditor/CMakeLists.txt ===
set(CUSTOMPHRASEEDITOR_SOURCES
  main.cpp
  customphraseeditor.cpp
  customphrasemodel.cpp
  editordialog.cpp
  ../../im/pinyin/customphrase.cpp
  )

add_library(customphraseeditor MODULE ${CUSTOMPHRASEEDITOR_SOURCES})
target_link_libraries(customphraseeditor Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons ${BROWSER_TARGET} Qt${QT_MAJOR_VERSION}::Concurrent LibIME::Core Boost::iostreams ${FMT_TARGET})
set_target_properties(customphraseeditor PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

install(TARGETS customphraseeditor DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt${QT_MAJOR_VERSION})

=== gui/pinyindictmanager/CMakeLists.txt ===
set(DICTMANAGER_SOURCES
  main.cpp
  pinyindictmanager.cpp
  processrunner.cpp
  pipeline.cpp
  pipelinejob.cpp
  log.cpp
  renamefile.cpp
  filelistmodel.cpp
  )

if (ENABLE_BROWSER)
    list(APPEND DICTMANAGER_SOURCES browserdialog.cpp filedownloader.cpp)

    if (TARGET Qt${QT_MAJOR_VERSION}::WebKit)
        set(BROWSER_TARGET Qt${QT_MAJOR_VERSION}::WebKitWidgets)
    else()
        set(BROWSER_TARGET Qt${QT_MAJOR_VERSION}::WebEngineWidgets)
    endif()
endif()

add_library(pinyindictmanager MODULE ${DICTMANAGER_SOURCES})
target_link_libraries(pinyindictmanager Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons ${BROWSER_TARGET} Qt${QT_MAJOR_VERSION}::Concurrent)
set_target_properties(pinyindictmanager PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

install(TARGETS pinyindictmanager DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt${QT_MAJOR_VERSION})

=== im/pinyin/CMakeLists.txt ===
set(PINYIN_SOURCES
    pinyin.cpp
    customphrase.cpp
    symboldictionary.cpp
    workerthread.cpp
    pinyincandidate.cpp
    pinyinenginefactory.cpp
)

add_fcitx5_addon(pinyin ${PINYIN_SOURCES})
target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper Pthread::Pthread ${FMT_TARGET})

if (TARGET Fcitx5::Module::LuaAddonLoader)
    target_compile_definitions(pinyin PRIVATE -DFCITX_HAS_LUA)
    target_link_libraries(pinyin Fcitx5::Module::LuaAddonLoader)
    install(FILES pinyin.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi/extensions"
            COMPONENT config)
endif()

install(TARGETS pinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(pinyin.conf.in pinyin.conf)
fcitx5_translate_desktop_file(shuangpin.conf.in shuangpin.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf" "${CMAKE_CURRENT_BINARY_DIR}/shuangpin.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod"
        COMPONENT config)
configure_file(pinyin-addon.conf.in.in pinyin-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf.in" pinyin-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf" RENAME pinyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

install(FILES "symbols" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin" COMPONENT config)

if (ENABLE_DATA)

  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict"
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/chaizi.txt" LibIME::pinyindict
    COMMAND LibIME::pinyindict "${CMAKE_CURRENT_SOURCE_DIR}/chaizi.txt" "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict")
  add_custom_target(chaizi-dict ALL DEPENDS "chaizi.dict")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin")
endif()

=== im/table/CMakeLists.txt ===
set(TABLE_SOURCES
    engine.cpp
    state.cpp
    ime.cpp
    context.cpp
    candidate.cpp
    factory.cpp
)
add_fcitx5_addon(table ${TABLE_SOURCES})
target_link_libraries(table Fcitx5::Core Fcitx5::Config LibIME::Table LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::PinyinHelper ${FMT_TARGET})
target_compile_definitions(table PRIVATE FCITX_STRINGUTILS_ENABLE_BOOST_STRING_VIEW)
install(TARGETS table DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(table.conf.in.in table.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/table.conf.in" table.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/table.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/addon"
        COMPONENT config)

file(GLOB TABLE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.conf.in.in)
list(REMOVE_ITEM TABLE_FILES table.conf.in.in)
foreach(TABLE_ORIG ${TABLE_FILES})
  get_filename_component(TABLE_NAME "${TABLE_ORIG}" NAME_WE)
  configure_file(${TABLE_NAME}.conf.in.in "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" @ONLY)
  fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" ${TABLE_NAME}.conf)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod"
          COMPONENT config)
endforeach()

=== modules/chttrans/CMakeLists.txt ===
set(CHTTRANS_SOURCES
    chttrans.cpp chttrans-native.cpp
)
if (ENABLE_OPENCC)
    set(CHTTRANS_SOURCES ${CHTTRANS_SOURCES} chttrans-opencc.cpp)
endif()
add_fcitx5_addon(chttrans ${CHTTRANS_SOURCES})
target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications Boost::iostreams ${FMT_TARGET})
if (ENABLE_OPENCC)
    target_link_libraries(chttrans OpenCC::OpenCC)
    if (TARGET Boost::json)
        target_link_libraries(chttrans Boost::json)
    endif()
endif()
install(TARGETS chttrans DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(chttrans.conf.in.in chttrans.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf.in" chttrans.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)
install(FILES gbks2t.tab DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/chttrans" COMPONENT config)

=== modules/pinyinhelper/CMakeLists.txt ===
set(PINYINHELPER_SOURCES
    pinyinhelper.cpp
    pinyinlookup.cpp
    stroke.cpp
)
add_fcitx5_addon(pinyinhelper ${PINYINHELPER_SOURCES})
target_link_libraries(pinyinhelper 
Fcitx5::Core 
Fcitx5::Config
LibIME::Core
Boost::iostreams
Fcitx5::Module::QuickPhrase
Fcitx5::Module::Clipboard
Pthread::Pthread
${FMT_TARGET})
install(TARGETS pinyinhelper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(pinyinhelper.conf.in.in pinyinhelper.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf.in" pinyinhelper.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

fcitx5_export_module(PinyinHelper TARGET pinyinhelper BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS pinyinhelper_public.h INSTALL)

set(PY_STROKE_VER 20121124)
set(PY_STROKE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_stroke.mb")
set(PY_STROKE_TAR "py_stroke-${PY_STROKE_VER}.tar.gz")
set(PY_STROKE_URL
  "http://download.fcitx-im.org/data/py_stroke-${PY_STROKE_VER}.tar.gz")
fcitx5_download(py-stroke-download "${PY_STROKE_URL}" "${PY_STROKE_TAR}"
  8eb128a9bfa43952e67cf2fcee1fd134c6f4cfd317bc2f6c38a615f5eb64e248)
fcitx5_extract(py-stroke-extract "${PY_STROKE_TAR}" DEPENDS py-stroke-download
  OUTPUT ${PY_STROKE_TGT})
install(FILES "${PY_STROKE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

set(PY_TABLE_VER 20121124)
set(PY_TABLE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_table.mb")
set(PY_TABLE_TAR "py_table-${PY_TABLE_VER}.tar.gz")
set(PY_TABLE_URL
  "http://download.fcitx-im.org/data/py_table-${PY_TABLE_VER}.tar.gz")
fcitx5_download(py-table-download "${PY_TABLE_URL}" "${PY_TABLE_TAR}"
  42146ac97de6c13d55f9e99ed873915f4c66739e9c11532a34556badf9792c04)
fcitx5_extract(py-table-extract "${PY_TABLE_TAR}" DEPENDS py-table-download
  OUTPUT ${PY_TABLE_TGT})
install(FILES "${PY_TABLE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

=== modules/punctuation/CMakeLists.txt ===
set(PUNCTUATION_SOURCES
    punctuation.cpp
)

set(PUNCTUATION_DATA_FILES
  punc.mb.zh_CN
  punc.mb.zh_HK
  punc.mb.zh_TW
)

add_fcitx5_addon(punctuation ${PUNCTUATION_SOURCES})
target_link_libraries(punctuation Fcitx5::Core Fcitx5::Config Boost::iostreams Fcitx5::Module::Notifications)
install(TARGETS punctuation DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(punctuation.conf.in.in punctuation.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf.in" punctuation.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)
install(FILES ${PUNCTUATION_DATA_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/punctuation"
        COMPONENT config)

fcitx5_export_module(Punctuation TARGET punctuation BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS punctuation_public.h INSTALL)

=== test/addon/CMakeLists.txt ===
add_custom_target(copy-addon DEPENDS pinyin-addon.conf.in-fmt table.conf.in-fmt pinyinhelper.conf.in-fmt punctuation.conf.in-fmt fullwidth.conf.in-fmt chttrans.conf.in-fmt)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin-addon.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/table/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/punctuation/punctuation.conf ${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/pinyinhelper/pinyinhelper.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/fullwidth/fullwidth.conf ${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/chttrans/chttrans.conf ${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf)

=== test/inputmethod/CMakeLists.txt ===
add_custom_target(copy-im DEPENDS pinyin.conf.in-fmt erbi.conf.in-fmt wbx.conf.in-fmt)
add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf)
add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/table/erbi.conf ${CMAKE_CURRENT_BINARY_DIR}/erbi.conf)
add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/table/wbx.conf ${CMAKE_CURRENT_BINARY_DIR}/wbx.conf)

add_custom_target(copy-testim DEPENDS pinyin.conf.in-fmt)
add_custom_command(TARGET copy-testim COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/test/inputmethod/sim.conf ${PROJECT_BINARY_DIR}/test/inputmethod/sim.conf)
add_custom_command(TARGET copy-testim COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/test/inputmethod/trad.conf ${PROJECT_BINARY_DIR}/test/inputmethod/trad.conf)

=== debian/changelog ===
fcitx5-chinese-addons (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jan 2025 13:01:47 -0500

=== debian/control ===
Source: fcitx5-chinese-addons
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.6.0),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-module-lua-dev,
 fcitx5-modules-dev (>= 5.1.12),
 gettext,
 libboost-iostreams-dev,
 libboost-json-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libfcitx5-qt-dev,
 libfcitx5config-dev (>= 5.1.12),
 libfcitx5core-dev (>= 5.1.12),
 libfcitx5utils-dev (>= 5.1.12),
 libfmt-dev,
 libime-bin (>= 1.1.10),
 libimecore-dev (>= 1.1.10),
 libimepinyin-dev (>= 1.1.10),
 libimetable-dev (>= 1.1.10),
 libopencc-dev (>= 1.1.9~),
 pkgconf,
 qtbase5-dev,
 qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-chinese-addons
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons

Package: fcitx5-chinese-addons
Section: metapackages
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-chinese-addons-bin,
 fcitx5-pinyin,
 fcitx5-table,
 ${misc:Depends},
Recommends:
 fcitx5,
 fcitx5-module-lua,
Breaks:
 fcitx5-chinese-addons-data (<< ${binary:Version}),
Replaces:
 fcitx5-chinese-addons-data (<< ${binary:Version}),
Enhances:
 fcitx5,
Description: Chinese-related addon for fcitx5 (metapackage)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package is a metapackage, which depends on all addons provided by
 fcitx5-chinese-addons project. Users should consider installing it for
 best experience of Chinese integration with fcitx5.

Package: fcitx5-chinese-addons-bin
Architecture: any
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese-related addon for fcitx5 (binary tools)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides binary tools provided by fcitx5-chinese-addons.

Package: fcitx5-chinese-addons-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Conflicts:
 fcitx-data,
Description: Chinese-related addon for fcitx5 (shared data files)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides architecture-independent shared data files used by
 fcitx5-chinese-addons.

Package: fcitx5-module-chttrans
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (chttrans module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the chttrans module.

Package: fcitx5-module-cloudpinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (cloudpinyin module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the cloudpinyin module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-cloudpinyin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 cloudpinyin module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the cloudpinyin module
 of fcitx5.

Package: fcitx5-module-fullwidth
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (fullwidth module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the fullwidth module. It enhances the input
 experience of full-width characters.

Package: fcitx5-module-pinyinhelper
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 fcitx5-pinyin (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (pinyinhelper module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the pinyinhelper module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-pinyinhelper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 pinyinhelper module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the pinyinhelper module
 of fcitx5.

Package: fcitx5-module-punctuation
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (punctuation module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the punctuation module. It provides the
 capability to easily input punctuations.

Package: fcitx5-module-punctuation-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 punctuation module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the punctuation module
 of fcitx5.

Package: fcitx5-pinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5,
 fcitx5-chinese-addons-data,
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-module-chttrans (= ${binary:Version}),
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 fcitx5-module-fullwidth (= ${binary:Version}),
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 fcitx5-module-quickphrase,
 fcitx5-modules,
 fcitx5-pinyin-gui,
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (builtin pinyin support)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the builtin pinyin input method. It provides
 the default pinyin input method for Chinese users. Its associated
 GUI tools can be found in the separate fcitx5-pinyin-gui package.

Package: fcitx5-pinyin-gui
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fcitx5-pinyin (= ${binary:Version}),
Breaks:
 fcitx5-pinyin (<< 5.1.0),
Replaces:
 fcitx5-pinyin (<< 5.1.0),
Description: Fcitx Input Method Framework v5 (builtin pinyin GUI tools)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the GUI tools for the builtin pinyin input method.
 Currently, it includes the following components:
 .
   * customphraseeditor
   * pinyindictmanager

Package: fcitx5-table
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@


# Should re-enable Qt6 functionality after Plasma 6.x is packaged
override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips64el))
	dh_auto_configure -- -DENABLE_BROWSER=OFF -DUSE_QT6=Off
else
	dh_auto_configure -- -DUSE_WEBKIT=OFF -DUSE_QT6=Off
endif

## fcitx5-chinese-addons 5.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.1.8)
+project(fcitx5-chinese-addons VERSION 5.1.9)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -16,15 +16,12 @@
 find_package(Pthread REQUIRED)
 find_package(PkgConfig REQUIRED)
 find_package(Gettext REQUIRED)
-find_package(fmt REQUIRED)
-
-if (TARGET fmt::fmt-header-only)
-  set(FMT_TARGET fmt::fmt-header-only)
-else()
-  set(FMT_TARGET fmt::fmt)
-endif ()
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
+
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
 
 #######################################################################
 # Options
@@ -35,9 +32,7 @@
 option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
 option(ENABLE_GUI "Enable Configure Gui" On)
 option(ENABLE_BROWSER "Enable built-in browser." On)
-option(USE_WEBKIT "Use WebKit as browser backend." Off)
 option(ENABLE_CLOUDPINYIN "Build cloud pinyin addon" On)
-option(USE_QT6 "Build with Qt6" On)
 option(ENABLE_DATA "Build data" On)
 
 if (ENABLE_OPENCC)
@@ -45,28 +40,17 @@
 endif()
 
 if (ENABLE_GUI)
-    if (USE_QT6)
-        set(QT_MAJOR_VERSION 6)
-        if (USE_WEBKIT)
-            message(FATAL_ERROR "Qt 6 does not have webkit available.")
-        endif()
-    else()
-        set(QT_MAJOR_VERSION 5)
-    endif()
+    set(QT_MAJOR_VERSION 6)
     find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Concurrent)
     find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
     if (ENABLE_BROWSER)
-        if (USE_WEBKIT)
-            find_package(Qt${QT_MAJOR_VERSION}WebKitWidgets REQUIRED)
-        else()
-            find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets REQUIRED)
-        endif()
+        find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets REQUIRED)
     endif()
 endif()
 
 # We do not need json if OpenCC is not needed, but just try to find it anyway to save some ifelse logic
-find_package(Boost 1.61 REQUIRED COMPONENTS iostreams OPTIONAL_COMPONENTS json)
-find_package(LibIMEPinyin 1.1.7 REQUIRED)
+find_package(Boost 1.61 OPTIONAL_COMPONENTS json)
+find_package(LibIMEPinyin 1.1.11 REQUIRED)
 find_package(LibIMETable 1.1.4 REQUIRED)
 
 if (ENABLE_CLOUDPINYIN)

=== im/CMakeLists.txt ===
add_subdirectory(pinyin)
add_subdirectory(table)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 if (ENABLE_CLOUDPINYIN)
 add_executable(testcloudpinyin testcloudpinyin.cpp)
 target_link_libraries(testcloudpinyin Fcitx5::Core Fcitx5::Module::CloudPinyin)
-add_dependencies(testcloudpinyin cloudpinyin)
+add_dependencies(testcloudpinyin cloudpinyin copy-addon-cloudpinyin)
 endif()
 
 add_executable(testpinyinhelper testpinyinhelper.cpp)
@@ -18,13 +18,13 @@
 add_test(NAME testpinyinhelper COMMAND testpinyinhelper)
 
 add_executable(testfullwidth testfullwidth.cpp)
-target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
+target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM)
 add_dependencies(testfullwidth fullwidth fullwidth.conf.in-fmt)
 add_test(NAME testfullwidth COMMAND testfullwidth)
 
 add_subdirectory(inputmethod)
 add_executable(testchttrans testchttrans.cpp)
-target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
+target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM)
 add_dependencies(testchttrans chttrans chttrans.conf.in-fmt copy-addon copy-testim)
 add_test(NAME testchttrans COMMAND testchttrans)
 
@@ -40,7 +40,7 @@
 
 add_executable(testcustomphrase testcustomphrase.cpp ../im/pinyin/customphrase.cpp)
 target_compile_definitions(testcustomphrase PRIVATE "-DFCITX_CUSTOM_PHRASE_TEST")
-target_link_libraries(testcustomphrase Fcitx5::Utils LibIME::Core ${FMT_TARGET})
+target_link_libraries(testcustomphrase Fcitx5::Utils LibIME::Core)
 add_test(NAME testcustomphrase COMMAND testcustomphrase)
 
 add_executable(testsymboldictionary testsymboldictionary.cpp ../im/pinyin/symboldictionary.cpp)

=== tools/CMakeLists.txt ===
add_executable(scel2org5 scel2org5.cpp)

target_link_libraries(scel2org5 Fcitx5::Utils)
install(TARGETS scel2org5 DESTINATION ${CMAKE_INSTALL_BINDIR})

=== gui/pinyindictmanager/CMakeLists.txt ===
--- 
+++ 
@@ -11,12 +11,7 @@
 
 if (ENABLE_BROWSER)
     list(APPEND DICTMANAGER_SOURCES browserdialog.cpp filedownloader.cpp)
-
-    if (TARGET Qt${QT_MAJOR_VERSION}::WebKit)
-        set(BROWSER_TARGET Qt${QT_MAJOR_VERSION}::WebKitWidgets)
-    else()
-        set(BROWSER_TARGET Qt${QT_MAJOR_VERSION}::WebEngineWidgets)
-    endif()
+    set(BROWSER_TARGET Qt${QT_MAJOR_VERSION}::WebEngineWidgets)
 endif()
 
 add_library(pinyindictmanager MODULE ${DICTMANAGER_SOURCES})

=== test/addon/CMakeLists.txt ===
add_custom_target(copy-addon DEPENDS
    pinyin-addon.conf.in-fmt
    table.conf.in-fmt
    pinyinhelper.conf.in-fmt
    punctuation.conf.in-fmt
    fullwidth.conf.in-fmt
    chttrans.conf.in-fmt
    cloudpinyin.conf.in-fmt
    )
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin-addon.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/table/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/punctuation/punctuation.conf ${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/pinyinhelper/pinyinhelper.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/fullwidth/fullwidth.conf ${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/chttrans/chttrans.conf ${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf)

if (ENABLE_CLOUDPINYIN)
    add_custom_target(copy-addon-cloudpinyin DEPENDS cloudpinyin.conf.in-fmt)
    add_custom_command(TARGET copy-addon-cloudpinyin COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/cloudpinyin/cloudpinyin.conf ${CMAKE_CURRENT_BINARY_DIR}/cloudpinyin.conf)
endif()

=== debian/changelog ===
fcitx5-chinese-addons (5.1.9-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:28:49 -0400

fcitx5-chinese-addons (5.1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Migrate to Qt6.
  * debian/patches/: Dropped, not needed now.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 19:24:48 -0400

=== debian/control ===
--- 
+++ 
@@ -10,29 +10,31 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-module-lua-dev,
- fcitx5-modules-dev (>= 5.1.12),
+ fcitx5-modules-dev (>= 5.1.14-4~),
  gettext,
  libboost-iostreams-dev,
  libboost-json-dev,
  libcurl4-openssl-dev | libcurl-dev,
- libfcitx5-qt-dev,
- libfcitx5config-dev (>= 5.1.12),
- libfcitx5core-dev (>= 5.1.12),
- libfcitx5utils-dev (>= 5.1.12),
- libfmt-dev,
- libime-bin (>= 1.1.10),
- libimecore-dev (>= 1.1.10),
- libimepinyin-dev (>= 1.1.10),
- libimetable-dev (>= 1.1.10),
+ libfcitx5-qt6-dev,
+ libfcitx5config-dev (>= 5.1.14-4~),
+ libfcitx5core-dev (>= 5.1.14-4~),
+ libfcitx5utils-dev (>= 5.1.14-4~),
+ libime-bin (>= 1.1.11-2~),
+ libimecore-dev (>= 1.1.11-2~),
+ libimepinyin-dev (>= 1.1.11-2~),
+ libimetable-dev (>= 1.1.11-2~),
  libopencc-dev (>= 1.1.9~),
  pkgconf,
- qtbase5-dev,
- qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
-Standards-Version: 4.7.0
+ qt6-base-dev,
+ qt6-webengine-dev [amd64 arm64 armhf i386 mips64el],
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons
+Description: Chinese-related addon for fcitx5
+ For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
+ pinyin and table input method support.
 
 Package: fcitx5-chinese-addons
 Section: metapackages
@@ -326,11 +328,3 @@
  provide better compatibility across different Linux distributions
  and desktop environments.
  .
- This package provides the GUI tools for the builtin pinyin input method.
- Currently, it includes the following components:
- .
-   * customphraseeditor
-   * pinyindictmanager
-
-Package: fcitx5-table
-Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@


override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips64el))
	dh_auto_configure -- -DENABLE_BROWSER=OFF
else
	dh_auto_configure
endif

## fcitx5-chinese-addons 5.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.1.9)
+project(fcitx5-chinese-addons VERSION 5.1.10)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
+set(REQUIRED_LIBIME_VERSION 1.1.12)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -50,8 +51,8 @@
 
 # We do not need json if OpenCC is not needed, but just try to find it anyway to save some ifelse logic
 find_package(Boost 1.61 OPTIONAL_COMPONENTS json)
-find_package(LibIMEPinyin 1.1.11 REQUIRED)
-find_package(LibIMETable 1.1.4 REQUIRED)
+find_package(LibIMEPinyin ${REQUIRED_LIBIME_VERSION} REQUIRED)
+find_package(LibIMETable ${REQUIRED_LIBIME_VERSION} REQUIRED)
 
 if (ENABLE_CLOUDPINYIN)
     pkg_check_modules(Curl REQUIRED IMPORTED_TARGET "libcurl")

=== gui/CMakeLists.txt ===
add_subdirectory(pinyindictmanager)
add_subdirectory(customphraseeditor)

=== icon/CMakeLists.txt ===
foreach(size 16 22 24 48)
    install(DIRECTORY ${size}x${size} DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor
             PATTERN .* EXCLUDE
             PATTERN *~ EXCLUDE)
endforeach(size 16 22 24 48)

install(DIRECTORY scalable DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor
         PATTERN ".*" EXCLUDE
         PATTERN "*~" EXCLUDE)

=== gui/customphraseeditor/CMakeLists.txt ===
set(CUSTOMPHRASEEDITOR_SOURCES
  main.cpp
  customphraseeditor.cpp
  customphrasemodel.cpp
  editordialog.cpp
  ../../im/pinyin/customphrase.cpp
  )

add_library(customphraseeditor MODULE ${CUSTOMPHRASEEDITOR_SOURCES})
target_link_libraries(customphraseeditor Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons ${BROWSER_TARGET} Qt${QT_MAJOR_VERSION}::Concurrent LibIME::Core)
set_target_properties(customphraseeditor PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

install(TARGETS customphraseeditor DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt${QT_MAJOR_VERSION})

=== im/pinyin/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 )
 
 add_fcitx5_addon(pinyin ${PINYIN_SOURCES})
-target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper Pthread::Pthread ${FMT_TARGET})
+target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper Pthread::Pthread)
 
 if (TARGET Fcitx5::Module::LuaAddonLoader)
     target_compile_definitions(pinyin PRIVATE -DFCITX_HAS_LUA)

=== modules/chttrans/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     set(CHTTRANS_SOURCES ${CHTTRANS_SOURCES} chttrans-opencc.cpp)
 endif()
 add_fcitx5_addon(chttrans ${CHTTRANS_SOURCES})
-target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications Boost::iostreams ${FMT_TARGET})
+target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications)
 if (ENABLE_OPENCC)
     target_link_libraries(chttrans OpenCC::OpenCC)
     if (TARGET Boost::json)

=== modules/fullwidth/CMakeLists.txt ===
set(FULLWIDTH_SOURCES
    fullwidth.cpp
)
add_fcitx5_addon(fullwidth ${FULLWIDTH_SOURCES})
target_link_libraries(fullwidth Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications)
install(TARGETS fullwidth DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(fullwidth.conf.in.in fullwidth.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf.in" fullwidth.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

=== modules/pinyinhelper/CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,9 @@
 Fcitx5::Core 
 Fcitx5::Config
 LibIME::Core
-Boost::iostreams
 Fcitx5::Module::QuickPhrase
 Fcitx5::Module::Clipboard
-Pthread::Pthread
-${FMT_TARGET})
+Pthread::Pthread)
 install(TARGETS pinyinhelper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 configure_file(pinyinhelper.conf.in.in pinyinhelper.conf.in)
 fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf.in" pinyinhelper.conf)
@@ -21,13 +19,13 @@
 
 fcitx5_export_module(PinyinHelper TARGET pinyinhelper BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS pinyinhelper_public.h INSTALL)
 
-set(PY_STROKE_VER 20121124)
+set(PY_STROKE_VER 20250329)
 set(PY_STROKE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_stroke.mb")
 set(PY_STROKE_TAR "py_stroke-${PY_STROKE_VER}.tar.gz")
 set(PY_STROKE_URL
   "http://download.fcitx-im.org/data/py_stroke-${PY_STROKE_VER}.tar.gz")
 fcitx5_download(py-stroke-download "${PY_STROKE_URL}" "${PY_STROKE_TAR}"
-  8eb128a9bfa43952e67cf2fcee1fd134c6f4cfd317bc2f6c38a615f5eb64e248)
+  c1a7ca7225d3614ab83353fc827503006a980447762018f53760425d7b5303a6)
 fcitx5_extract(py-stroke-extract "${PY_STROKE_TAR}" DEPENDS py-stroke-download
   OUTPUT ${PY_STROKE_TGT})
 install(FILES "${PY_STROKE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

=== test/inputmethod/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-add_custom_target(copy-im DEPENDS pinyin.conf.in-fmt erbi.conf.in-fmt wbx.conf.in-fmt)
+add_custom_target(copy-im DEPENDS pinyin.conf.in-fmt shuangpin.conf.in-fmt erbi.conf.in-fmt wbx.conf.in-fmt)
 add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf)
+add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin.conf ${CMAKE_CURRENT_BINARY_DIR}/shuangpin.conf)
 add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/table/erbi.conf ${CMAKE_CURRENT_BINARY_DIR}/erbi.conf)
 add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/table/wbx.conf ${CMAKE_CURRENT_BINARY_DIR}/wbx.conf)

=== debian/changelog ===
fcitx5-chinese-addons (5.1.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update build-deps accordingly.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Nov 2025 13:21:33 -0500

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,16 @@
  fcitx5-module-lua-dev,
  fcitx5-modules-dev (>= 5.1.14-4~),
  gettext,
- libboost-iostreams-dev,
  libboost-json-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt6-dev,
  libfcitx5config-dev (>= 5.1.14-4~),
  libfcitx5core-dev (>= 5.1.14-4~),
  libfcitx5utils-dev (>= 5.1.14-4~),
- libime-bin (>= 1.1.11-2~),
- libimecore-dev (>= 1.1.11-2~),
- libimepinyin-dev (>= 1.1.11-2~),
- libimetable-dev (>= 1.1.11-2~),
+ libime-bin (>= 1.1.12),
+ libimecore-dev (>= 1.1.12),
+ libimepinyin-dev (>= 1.1.12),
+ libimetable-dev (>= 1.1.12),
  libopencc-dev (>= 1.1.9~),
  pkgconf,
  qt6-base-dev,
@@ -328,3 +327,4 @@
  provide better compatibility across different Linux distributions
  and desktop environments.
  .
+ This package provides the GUI tools for the builtin pinyin input method.

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-chinese-addons/ \
 @PACKAGE@@ANY_VERSION@(?:_dict)@ARCHIVE_EXT@
